#include "supprimercaisse.h"
#include "ui_supprimercaisse.h"
#include"smtp.h"
supprimercaisse::supprimercaisse(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::supprimercaisse)
{
    ui->setupUi(this);
}

supprimercaisse::~supprimercaisse()
{
    delete ui;
}

void supprimercaisse::on_supprimer_clicked()
{

       int numero = ui->lineEdit->text().toInt();
       bool test=tmpcaisse.supprimer(numero);
       if(test)

       {   Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
           s->sendMail("hajmoussa2368@gmail.com","youssef.ghedas@esprit.tn","une caisse a été supprimer avec succés","Mr youssef");
           notifier = new QSystemTrayIcon(this);
           notifier->setIcon(QIcon("notification.png"));
           notifier->show();
           notifier->showMessage("Fait","une caisse a été supprimer",QSystemTrayIcon::Warning,10000);
            hide();


       }
       else
       {  notifier = new QSystemTrayIcon(this);
           notifier->setIcon(QIcon("notification.png"));
           notifier->show();
           notifier->showMessage("Erreur","",QSystemTrayIcon::Warning,10000);


   }

}
